# colorcorrect.cpp File Reference

Implementation of the "Color Correct" layer. More...

`#include "colorcorrect.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`

## Functions

| SYNFIG_LAYER_INIT (Layer_ColorCorrect)
| SYNFIG_LAYER_SET_NAME (Layer_ColorCorrect,"colorcorrect")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_ColorCorrect, N_("Color Correct"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_ColorCorrect, N_("Filters"))
| SYNFIG_LAYER_SET_VERSION (Layer_ColorCorrect,"0.1")
| SYNFIG_LAYER_SET_CVS_ID (Layer_ColorCorrect,"$Id$")

## Detailed Description

Implementation of the "Color Correct" layer.

$Id$

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_ColorCorrect |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_ColorCorrect | ,
|  | "colorcorrect" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_ColorCorrect | ,
|  | N_("Color Correct") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_ColorCorrect | ,
|  | N_("Filters") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_ColorCorrect | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_ColorCorrect | ,
|  | "$Id$" |  |
| ) |  |  |